﻿@model vmListadoPerfiles

<a id="edit"
   data-toggle="modal"
   data-target="#modal-action"
   data-ajax-success="success"
   data-ajax="true"
   data-ajax-url="Perfil/AgregarPerfil?id=@Model.idsistema&idM=@Model.idmodulo"
   class="@ColorBoton.Principal">
    <i class="@IconoBoton.Agregar"></i>  Agregar
</a>

<table id="tablaPerfil2" class="@Tabla.EstiloTabla  panel">
    <thead>
        <tr>
            <th>Id</th>
            <th>Nombre</th>
            <th>Descripción</th>
            <th>Fecha Act.</th>
            <th>Estado</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @if (Model != null)
        {
            @foreach (var item in Model.Perfiles)
            {
                <tr>
                    <td>@Html.DisplayFor(modelItem => item.IPrfl)</td>
                    <td>@Html.DisplayFor(modelItem => item.Nmbre)</td>
                    <td>@Html.DisplayFor(modelItem => item.Dscrpcn)</td>
                    <td>@Html.DisplayFor(modelItem => item.FActlzcn)</td>
                    <td>
                        @if (item.CEstdo == "A")
                        {
                            <span class="label label-success">Activo</span>
                        }
                        else
                        {
                            <span class="label label-danger">Inactivo</span>
                        }
                    </td>

                    <td>
                        <span class="tool-tip" data-toggle="tooltip" data-placement="top" title="Editar">
                            <a id="edit"
                               data-toggle="modal"
                               data-target="#modal-action"
                               data-ajax-success="success"
                               data-ajax="true"
                               data-ajax-url="/Perfil/EditarPerfil?idPer=@item.nId"
                               class="@ColorBoton.Info">
                                <i class="@IconoBoton.Editar"></i>
                            </a>
                        </span>
                        <span class="tool-tip" data-toggle="tooltip" data-placement="top" title="Eliminar">
                            <a id="delete"
                               data-ajax-confirm="Está seguro que desea eliminar el Perfil @item.Nmbre ?"
                               data-ajax-success="success"
                               data-ajax="true"
                               data-ajax-update="#tablaPerfil"
                               data-ajax-url="/Perfil/EliminarPerfil?id=@item.nId"
                               class="@ColorBoton.Error">
                                <i class="@IconoBoton.Eliminar"></i>
                            </a>
                        </span>
                        <span class="tool-tip" data-toggle="tooltip" data-placement="top" title="Detalles">
                            <a id="deta"
                               data-ajax-success="Abrir"
                               data-ajax="true"
                               data-ajax-update="#detalles"
                               data-ajax-url="/Perfil/BuscarOpcionesXPerfil?idsis=@Model.idsistema&idmod=@Model.idmodulo&idPer=@item.nId"
                               class="@ColorBoton.Exito">
                                <i class="@IconoBoton.Ver"></i>
                            </a>
                        </span>
                        @*<button id="verOpc" type="submit" class="@ColorBoton.Exito" onclick="Abrir('@Model.idsistema','@Model.idmodulo');">
                                <span class="tool-tip" data-toggle="tooltip" data-placement="top" title="Detalles">
                                    <i class="@IconoBoton.Ver"></i>
                                </span>
                            </button>*@
                    </td>
                </tr>
            }
        }
    </tbody>
</table>
